//-----------------------------------------------------------------------
//	main.h
//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
//-----------------------------------------------------------------------
#ifndef main_h
#define main_h




#define SET_VA_max 		1   //VA_max
#define SET_VG2_max 	2   //VG2_max
#define SET_VG1_max 	3   //VG1_max
#define SET_VFIL_max 	4   //VFIL_max
#define SET_IA_max 		5   //IA_max
#define SET_IG2_max 	6   //IG2_max
#define SET_IG1_max 	7   //IG1_max
#define SET_PWA_max 	8   //PWA_max
#define SET_PWG2_max 	9   //PWG2_max
#define SET_PWG1_max 	10  //PWG1_max

#define SET_VG2_min 	11   //VG2_min
#define SET_VG1_min 	12   //VG1_min
#define SET_VFIL_min 	13   //VFIL_min

#define SET_VA 			14   //VA
#define SET_VG2 		15   //VG2
#define SET_VG1 		16   //VG1
#define SET_VFIL 		17   //VFIL

#define MESURE 			18   //MESURE
//-----------------------------------------------------------------------
//fonction principale
 int main(void);
//-----------------------------------------------------------------------
//fonction action
void action(void);
//-----------------------------------------------------------------------
//init
void init(void);
//-----------------------------------------------------------------------
//envoi d'une commande
int envoi_cmde(int fd,int cmde,float v);

//mesure
int mesure	(	int fd,
				int nmes,
				float _va,
				float _vg2,
				float _vg1,
				float *va_mes,
				float *vg2_mes,
				float *vg1_mes,
				float *ia_mes,
				float *ig2_mes,
				float *ig1_mes
			);
//-----------------------------------------------------------------------
//emission
bool rs232_tx_8(int fd,unsigned char c);
//-----------------------------------------------------------------------
//reception
bool rs232_rx_8(int fd,unsigned char *c);
//-----------------------------------------------------------------------
//emission 16
bool rs232_tx_16(int fd,int c);
//-----------------------------------------------------------------------
//reception 16
bool rs232_rx_16(int fd,int *c);
//-----------------------------------------------------------------------
//emission 32
bool rs232_tx_32(int fd,float c);
//-----------------------------------------------------------------------
//reception 32
bool rs232_rx_32(int fd,float *c);
//-----------------------------------------------------------------------

#endif
